package com.huatek.busi.dao;

import com.huatek.busi.entity.GeneratorAmplMonitoringStatistics;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

@Repository
public class GeneratorAmplMonitoringStatisticsDao
    extends BaseDao<GeneratorAmplMonitoringStatistics, String> {

    public int saveOrUpdate(GeneratorAmplMonitoringStatistics entity) {
        if (StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
